Source: haskell-bindings-nettle
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-bindings-dsl-dev,
 libghc-bindings-dsl-prof,
 libghc-hunit-dev,
 libghc-hunit-prof,
 libghc-quickcheck2-dev,
 libghc-quickcheck2-prof,
 libghc-hspec-dev,
 libghc-hspec-prof,
 libghc-quickcheck-io-dev,
 libghc-quickcheck-io-prof,
 nettle-dev,
 pkg-config,
Build-Depends-Indep: ghc-doc,
 libghc-bindings-dsl-doc,
Standards-Version: 4.5.0
Homepage: http://floss.scru.org/bindings-nettle
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-bindings-nettle
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-bindings-nettle]
X-Description: Haskell bindings to nettle crypto library
 This contains bindings to some of the cipher and hash functions of
 nettle.

Package: libghc-bindings-nettle-dev
Architecture: any
Depends:
 nettle-dev,
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-bindings-nettle-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-bindings-nettle-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
